
Ruby - Bug #14923

Segmentation fault when running tests

07/19/2018 11:27 PM - diegoj (Diego J. Romero-López)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.5.0p0 (2017-12-25 revision

61468) [x86_64-darwin16]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

Dear developers.

When running minitest tests on my project https://github.com/diegojromerolopez/babik on branch feature/method-chaining there is a

crash on the Ruby Virtual Machine.

To reproduce this problem:

git clone git@github.com:diegojromerolopez/babik.git

git checkout feature/method-chaining

Run: /Users/diegoj/.rvm/rubies/ruby-2.5.0/bin/ruby -e $stdout.sync=true;$stderr.sync=true;load($0=ARGV.shift) -Ilib:test

/Applications/RubyMine.app/Contents/rb/testing/runner/tunit_or_minitest_in_folder_runner.rb (I'm using RubyMine so run al the

tests).

The crash appears.

Could it be because I'm using ruby_deep_clone gem (https://rubygems.org/gems/ruby_deep_clone)? Until I've started using it,

everything worked fine.

If you have any question, I will be pleased to answer.

History

#1 - 07/20/2018 05:30 PM - diegoj (Diego J. Romero-López)

- File deleted (bug-minitest-stdout.txt)

#2 - 07/20/2018 05:30 PM - diegoj (Diego J. Romero-López)

- File deleted (bug.crash)

#3 - 07/20/2018 05:31 PM - diegoj (Diego J. Romero-López)

Please, disregard this bug.

#4 - 06/17/2019 10:31 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Closed
